Package: xmms2 / 0.8+dfsg-18.1

Metadata

Package Version Patches format
xmms2 0.8+dfsg-18.1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
bp fix avcodec init.patch | (download)

src/plugins/avcodec/avcodec_compat.h | 4 4 + 0 - 0 !
1 file changed, 4 insertions(+)

 other: quick fix to make xmms2 compile on ffmpeg 0.11


bp fix alloc context.patch | (download)

src/plugins/avcodec/avcodec.c | 4 2 + 2 - 0 !
src/plugins/avcodec/avcodec_compat.h | 14 14 + 0 - 0 !
2 files changed, 16 insertions(+), 2 deletions(-)

 other: fix some deprecated warnings in libavcodec


bp fix missing include.patch | (download)

src/plugins/avcodec/avcodec.c | 1 1 + 0 - 0 !
1 file changed, 1 insertion(+)

 other: support for newer libavcodec versions
 Add missing #include


bp Get rid of superfluous argument self.patch | (download)

src/clients/lib/python/xmmsapi.pyx | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 [patch] other: get rid of superfluous argument self
 Fixes "medialib_import_path() got multiple values for keyword argument 'cb'"


spelling error.patch | (download)

src/plugins/mp4/mp4ff/mp4meta.c | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 correct spelling error found by lintian.
linker flags.patch | (download)

wscript | 3 3 + 0 - 0 !
1 file changed, 3 insertions(+)

 do not link against unused libraries
plugin tta segment with startms.patch | (download)

src/plugins/tta/tta.c | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 fix tta plugin to work with segment with startms
nycli man page symlink.patch | (download)

src/clients/nycli/wscript | 2 2 + 0 - 0 !
1 file changed, 2 insertions(+)

 create a symlink from nyxmms2.1 to xmms2.1.
rpath.patch | (download)

src/plugins/sid/wscript | 7 0 + 7 - 0 !
1 file changed, 7 deletions(-)

 fix binary-or-shlib-defines-rpath lintian warning.
fix manpage errors.patch | (download)

src/clients/launcher/xmms2-launcher.1 | 2 1 + 1 - 0 !
src/clients/nycli/xmms2.1 | 4 1 + 3 - 0 !
2 files changed, 2 insertions(+), 4 deletions(-)

 fix man page errors found by lintian.
fix typos.patch | (download)

src/clients/lib/python/xmmsapi.c | 2 1 + 1 - 0 !
src/clients/lib/python/xmmsapi.pyx | 2 1 + 1 - 0 !
src/clients/lib/python/xmmsvalue.c | 10 5 + 5 - 0 !
src/clients/lib/python/xmmsvalue.pyx | 2 1 + 1 - 0 !
src/clients/lib/xmmsclient/stats.c | 2 1 + 1 - 0 !
src/clients/nycli/xmms2.1 | 2 1 + 1 - 0 !
src/xmms/xmms2d.1 | 2 1 + 1 - 0 !
7 files changed, 11 insertions(+), 11 deletions(-)

 fix typos found by lintian.
hardening flags.patch | (download)

wscript | 3 0 + 3 - 0 !
1 file changed, 3 deletions(-)

 make sure that the hardening flags are not removed.
fix libmodplug include.patch | (download)

src/plugins/modplug/modplug.c | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 include libmodplug/modplug.h
samba with pkg cfg.patch | (download)

src/plugins/samba/wscript | 3 1 + 2 - 0 !
1 file changed, 1 insertion(+), 2 deletions(-)

 use pkg-config to build using smbclient
ruby2 multiarch.patch | (download)

waflib/Tools/ruby.py | 5 4 + 1 - 0 !
1 file changed, 4 insertions(+), 1 deletion(-)

 add multi-arch support.


libav10.patch | (download)

src/plugins/avcodec/avcodec.c | 345 229 + 116 - 0 !
src/plugins/avcodec/avcodec_compat.h | 53 11 + 42 - 0 !
src/plugins/avcodec/wscript | 48 48 + 0 - 0 !
3 files changed, 288 insertions(+), 158 deletions(-)

 re: bug#739455: ftbfs with libav10
Date: Wed, 19 Feb 2014 02:28:22 +0100

This patch did originally not apply, and needed to be updated. The
updates were done by Reinhard Tartler <siretart@tauware.de> on Mar 26,
2014.


ruby2.2 RbConfig.patch | (download)

waflib/Tools/ruby.py | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 use rbconfig instead of config

0018 OTHER Let the compiler figure out what to inline.patch | (download)

src/plugins/equalizer/iir.c | 2 1 + 1 - 0 !
src/plugins/equalizer/iir.h | 6 3 + 3 - 0 !
src/plugins/equalizer/iir_fpu.c | 2 1 + 1 - 0 !
src/plugins/equalizer/iir_sse.c | 2 1 + 1 - 0 !
4 files changed, 6 insertions(+), 6 deletions(-)

 other: let the compiler figure out what to inline.

No change in CPU usage on Linux, and skipping inline unbreaks
the build on Mac OS X.

0019 plugins airplay build against openssl 1.1.0.patch | (download)

src/plugins/airplay/raop_client.c | 25 23 + 2 - 0 !
1 file changed, 23 insertions(+), 2 deletions(-)

 plugins/airplay: build against openssl 1.1.0

Signed-off-by: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>

remove glib version check.patch | (download)

src/xmms/main.c | 11 0 + 11 - 0 !
1 file changed, 11 deletions(-)

 remove glib version check
 xmms2 used the glib_check_version() function which checked that the running
 glib library is newer than the specified version and that both version are
 binary compatible, but xmms2 changed the check by its own check. Instead of
 checking for binary compatibility, the check only compares version number.
 .
 Remove the check and rely on the Debian package name change when the glib
 ABI changes.
Bug-Debian: https://bugs.debian.org/849373


glib deprecated.diff | (download)

wscript | 1 1 + 0 - 0 !
1 file changed, 1 insertion(+)

---
libcdio paranoia.diff | (download)

src/plugins/cdda/cdda.c | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

---